## org.eclipse.datatools.connectivity.ui.dse.dialogs
Class ExistingConnectionProfilesDialogPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.datatools.connectivity.ui.dse.dialogs.ExistingConnectionProfilesDialogPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.swt.widgets.Listener

    public class ExistingConnectionProfilesDialogPage

extends org.eclipse.jface.dialogs.DialogPage
implements org.eclipse.swt.widgets.Listener

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Method Summary
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`IConnectionProfile` `getSelectedConnection()` Returns either the existing connection selected by the user or null.
`void` `handleEvent(org.eclipse.swt.widgets.Event event)`
`void` `setDefaultConnection(java.lang.String connectionName)` Sets the selection in the list of connections.
`void` `setVisible(boolean visible)`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getMessageType, getShell, getTitle, performHelp, setDescription, setErrorMessage, setImageDescriptor, setMessage, setMessage, setTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createControl` in interface `org.eclipse.jface.dialogs.IDialogPage`

### handleEvent

    public void handleEvent(org.eclipse.swt.widgets.Event event)

  Specified by:
    `handleEvent` in interface `org.eclipse.swt.widgets.Listener`

### setVisible

    public void setVisible(boolean visible)

  Specified by:
    `setVisible` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `setVisible` in class `org.eclipse.jface.dialogs.DialogPage`

### getSelectedConnection

    public IConnectionProfile getSelectedConnection()

  Returns either the existing connection selected by the user or null.

  Returns:
    An IConnectionProfile object representing the users selection in the list

### setDefaultConnection

    public void setDefaultConnection(java.lang.String connectionName)

  Sets the selection in the list of connections.